{% extends "base.html" %}
{% block title %}Sci-Synergy Researcher Profile{% endblock %}

{%block head%}
{{super()}}
{%endblock%}

{%block content%}
{{super()}}
    <main class="mdl-layout__content mdl-color--grey-100">
        <div class="mdl-grid content">
            <div class="mdl-cell mdl-grid mdl-color--grey-100 mdl-cell--12-col mdl-grid--no-spacing bg-gray">
                <div class="mdl-layout-spacer"></div>
                    <h4 class="mdl-cell mdl-cell--4-col">{{user.name}}</h4>
                <div class="mdl-layout-spacer"></div>
                <div class="mdl-cell mdl-cell--12-col">
                    {% if user.lattesurl is not none %}
                        <p>Curriculum: <a href="{{user.lattesurl}}">{{user.lattesurl}}</a></p>
                    {% endif %}
                    {%if user.get_aliases()|length > 0 %}
                        <p>DBLP Aliases: {{user.get_aliases()}}</p>
                    {%endif%}
                </div>
            </div>

            <div class="mdl-grid mdl-cell mdl-cell--12-col mdl-grid--no-spacing bg-gray">
                    <script src="{{ url_for('static', filename='d3.v4.min.js') }}"></script>
                    <script src="{{ url_for('static', filename='histogram.js') }}"></script>
                    <div class="mdl-layout-spacer"></div>    
                        <h6 class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Researcher Collaboration Chart</font></h6>    
                    <div class="mdl-layout-spacer"></div>
                    <div class="mdl-cell mdl-cell--8-col"> 
                        <p>The chart presents how cooperative the researcher is in his/her graduate program.</p>
                    </div>
                    <div class="mdl-layout-spacer"></div>
                    <div class="mdl-cell mdl-cell--8-col " style="border: 2px solid">
                        <p>Label: <svg height="10" width="10">
                                <circle cx="5" cy="5" r="4" stroke="black" class="dotMax" />
                              </svg>highest coauthorship number 
                              <svg height="10" width="10">
                                    <circle cx="5" cy="5" r="4" stroke="black" class="dotAvg" />
                              </svg>medium coauthorship number 
                              <svg height="10" width="10">
                                        <circle cx="5" cy="5" r="4" stroke="black" class="dotMin" />
                              </svg>lowest coauthorship number
                        </p>
                    </div>
                    <div class="mdl-cell mdl-cell--8-col"></div>
                        <div id="collaboration" class="mdl-cell mdl-cell--8-col"></div>
                        <script>
                        drawHistogram([
                            {%for year in coauthors.keys()%}
                                {%for author in coauthors[year]|unique%}
                                    {"year": {{year}}},
                                {%endfor%}
                            {%endfor%}
                            ],"#collaboration", {{coauthorship|safe}});
                        </script>
                </div>

<div class="mdl-cell mdl-cell--12-col mdl-grid--no-spacing bg-gray" style=" -webkit-column-count: 2; -moz-column-count: 2; column-count: 2;">
    <p><span style="font-weight:bold">Total of coauthors ({{total_coauthors}})<span></p>
        {%if coauthors.keys()|length > 0 %}
        <ul >
        {%for year in coauthors.keys()|sort(reverse=True)%}
            <li><font style="font-weight: bold;">{{year}}</font> ({{coauthors[year]|length}} coauthorships)</li>
                <ul>
                    {%for author in coauthors[year]|unique%}
                    <li>{{author}} ({{coauthors[year].count(author)}})</li>
                    {%endfor%}
                </ul>
        {%endfor%}
        </ul>
        {%endif%}
</div>


<div class="mdl-cell mdl-grid mdl-color--grey-100 mdl-cell--12-col mdl-grid--no-spacing bg-gray">
                
        <div class="mdl-layout-spacer"></div>
        <h3 class="mdl-cell mdl-cell--8-col">Publication Histogram ({{publication|length}})*</h3>
        <div class="mdl-layout-spacer"></div>
        
        <div id="barchart" class="mdl-cell mdl-cell--12-col"></div>    
        <script>
            drawHistogram({{publication|safe}}, "#barchart");
        </script>
        <div class="mdl-cell mdl-cell mdl-cell--12-col">* The total number of publications for this researcher in dblp database <a href="https://dblp.uni-trier.de">https://dblp.uni-trier.de</a></div>
    </div>
    
</div>
    </main>
    <p><a onclick="javascript:history.back()">Back</a></p>
</div>
{% endblock %}